VeritasSubdisk (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.veritas.VeritasSubdisk interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev.veritas
Interface VeritasSubdisk

All Superinterfaces:
  DiskPartition, LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent

    public interface VeritasSubdisk

extends DiskPartition

Veritas subdisk is part of VM disk which can be divided into several subdisks. Each subdisk represents a contiguous block of physical disk space.

Naming Rules:
  0="vmDisk,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`VeritasPlex` | `getParentPlex()`
`VeritasVMDisk` | `getVmDisk()`
`boolean` | `hasParentPlex()`
`boolean` | `hasVmDisk()`
`void` | `setParentPlex(VeritasPlex x)`
`void` | `setVmDisk(VeritasVMDisk x)`

Methods inherited from interface com.collation.platform.model.topology.dev.DiskPartition
`getPartitionSubType, getPartitionType, getPrimaryPartition, hasPartitionSubType, hasPartitionType, hasPrimaryPartition, setPartitionSubType, setPartitionType, setPrimaryPartition`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getVmDisk

    VeritasVMDisk getVmDisk()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BasedOn" reverse="false"

### setVmDisk

    void setVmDisk(VeritasVMDisk x)

### hasVmDisk

    boolean hasVmDisk()

### getParentPlex

    VeritasPlex getParentPlex()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParentPlex

    void setParentPlex(VeritasPlex x)

### hasParentPlex

    boolean hasParentPlex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD